components:
  schemas:
    Session_v1_3_5_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Session_v1_3_5_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Session_v1_3_5_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Session_v1_3_5_Session:
      additionalProperties: false
      description: The `Session` resource describes a single connection (session)
        between a client and a Redfish service instance.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Session_v1_3_5_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        ClientOriginIPAddress:
          description: The IP address of the client that created the session.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the IP address of the client
            that created the session.
          x-versionAdded: v1_3_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        OemSessionType:
          description: The active OEM-defined session type.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the OEM-specific session
            type that is currently active if `SessionType` contains `OEM`.
          x-versionAdded: v1_2_0
        Password:
          description: The password for this session.  The value is `null` in responses.
          nullable: true
          readOnly: true
          type: string
          writeOnly: false
          x-longDescription: This property shall contain the password for this session.  The
            value shall be `null` in responses.  When creating a session through a
            Redfish host interface using an `AuthNone` role, the property shall contain
            an empty string in the request body.
        SessionType:
          description: The active session type.
          oneOf:
          - $ref: '#/components/schemas/Session_v1_3_5_SessionTypes'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall represent the type of session that
            is currently active.
          x-versionAdded: v1_2_0
        UserName:
          description: The username for the account for this session.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the username that matches
            an account recognized by the account service.  When a creating a session
            through a Redfish host interface using an `AuthNone` role, the property
            shall contain an empty string in the request body.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a session for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
      x-requiredOnCreate:
      - UserName
      - Password
    Session_v1_3_5_SessionTypes:
      enum:
      - HostConsole
      - ManagerConsole
      - IPMI
      - KVMIP
      - OEM
      - Redfish
      - VirtualMedia
      - WebUI
      type: string
      x-enumDescriptions:
        HostConsole: The host's console, which could be connected through Telnet,
          SSH, or another protocol.
        IPMI: Intelligent Platform Management Interface.
        KVMIP: A Keyboard-Video-Mouse over IP session.
        ManagerConsole: The manager's console, which could be connected through Telnet,
          SSH, SM CLP, or another protocol.
        OEM: OEM type.  For OEM session types, see the `OemSessionType` property.
        Redfish: A Redfish session.
        VirtualMedia: Virtual media.
        WebUI: A non-Redfish web user interface session, such as a graphical interface
          or another web-based protocol.
      x-enumLongDescriptions:
        HostConsole: This value shall indicate the session is the host's console,
          which could be connected through Telnet, SSH, or another protocol.  If this
          session is terminated or deleted, the service shall close the connection
          for the respective host console session.
        IPMI: This value shall indicate the session is an Intelligent Platform Management
          Interface session.  If this session is terminated or deleted, the service
          shall close the connection for the respective IPMI session.
        KVMIP: This value shall indicate the session is a Keyboard-Video-Mouse over
          IP session.  If this session is terminated or deleted, the service shall
          close the connection for the respective KVM-IP session.
        ManagerConsole: This value shall indicate the session is the manager's console,
          which could be connected through Telnet, SSH, SM CLP, or another protocol.  If
          this session is terminated or deleted, the service shall close the connection
          for the respective manager console session.
        OEM: This value shall indicate the session is an OEM-specific session and
          is further described by the `OemSessionType` property.
        Redfish: This value shall indicate the session is a Redfish session defined
          by the 'Redfish session login authentication' clause of the Redfish Specification.  If
          this session is terminated or deleted, the service shall invalidate the
          respective session token.
        VirtualMedia: This value shall indicate the session is a virtual media session.  If
          this session is terminated or deleted, the service shall close the connection
          for the respective virtual media session and make the media inaccessible
          to the host.
        WebUI: This value shall indicate the session is a non-Redfish web user interface
          session.  If this session is terminated or deleted, the service shall invalidate
          the respective session token.
title: '#Session.v1_3_5.Session'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2020.3'
